This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1002975 - [abrt] wireshark-gnome-1.10.0-2.fc19: handle_error: Process /usr/sbin/wireshark was killed by signal 5 (SIGTRAP)
[abrt] wireshark-gnome-1.10.0-2.fc19: handle_error: Process /usr/sbin/wiresha...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wireshark (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Hatina
Fedora Extras Quality Assurance
abrt_hash:2d5512bd3a385371e717f7bfe6b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 07:52 EDT by Kovács György
Modified: 2016-05-31 21:31 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:59:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (99.89 KB, text/plain)
2013-08-30 07:52 EDT, Kovács György
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-30 07:52 EDT, Kovács György
no flags Details
File: core_backtrace (59.84 KB, text/plain)
2013-08-30 07:52 EDT, Kovács György
no flags Details
File: dso_list (13.10 KB, text/plain)
2013-08-30 07:52 EDT, Kovács György
no flags Details
File: environ (3.75 KB, text/plain)
2013-08-30 07:52 EDT, Kovács György
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-30 07:52 EDT, Kovács György
no flags Details
File: maps (73.34 KB, text/plain)
2013-08-30 07:52 EDT, Kovács György
no flags Details
File: open_fds (1.05 KB, text/plain)
2013-08-30 07:52 EDT, Kovács György
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2013-08-30 07:52 EDT, Kovács György
no flags Details
File: var_log_messages (276 bytes, text/plain)
2013-08-30 07:52 EDT, Kovács György
no flags Details

  None (edit)
Description Kovács György 2013-08-30 07:52:03 EDT
Description of problem:
1. Open pcap file
2. Click Telephony -> VoIP Calls -> Player -> Decode
3. Wireshark crashed

(wireshark:27292): Gdk-ERROR **: The program 'wireshark' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 143313 error_code 11 request_code 130 minor_code 5)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
Trace/breakpoint trap (core dumped)


Wireshark Version 1.10.0 (SVN Rev Unknown from unknown)

Compiled (64-bit) with GTK+ 2.24.18, with Cairo 1.12.14, with Pango 1.34.1, with
GLib 2.36.3, with libpcap, with libz 1.2.7, with POSIX capabilities (Linux),
without libnl, with SMI 0.4.8, with c-ares 1.10.0, with Lua 5.1, without Python,
with GnuTLS 3.1.11, with Gcrypt 1.5.2, with MIT Kerberos, with GeoIP, with
PortAudio V19-devel (built May  4 2013 13:59:07), with AirPcap.

Running on Linux 3.10.9-200.fc19.x86_64, with locale en_US.utf8, with libpcap
version 1.4.0, with libz 1.2.7, GnuTLS 3.1.11, Gcrypt 1.5.3, without AirPcap.
       Intel(R) Core(TM) i7-3770K CPU @ 3.50GHz

Built using gcc 4.8.1 20130603 (Red Hat 4.8.1-1).

Version-Release number of selected component:
wireshark-gnome-1.10.0-2.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        wireshark
crash_function: handle_error
executable:     /usr/sbin/wireshark
kernel:         3.10.9-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 handle_error at xcb_io.c:213
 #5 handle_response at xcb_io.c:325
 #7 XQueryPointer at QuPntr.c:48
 #8 gdk_window_x11_get_pointer at gdkwindow-x11.c:3213
 #9 gdk_window_real_window_get_pointer at gdkdisplay.c:568
 #10 gdk_window_get_pointer at gdkwindow.c:6526
 #11 gdk_device_get_state at gdkinput-x11.c:907
 #12 gdk_event_request_motions at gdkevents.c:954
 #13 _gtk_tooltip_handle_event at gtktooltip.c:1632
 #14 gtk_main_do_event at gtkmain.c:1727
Comment 1 Kovács György 2013-08-30 07:52:08 EDT
Created attachment 792130 [details]
File: backtrace
Comment 2 Kovács György 2013-08-30 07:52:12 EDT
Created attachment 792131 [details]
File: cgroup
Comment 3 Kovács György 2013-08-30 07:52:16 EDT
Created attachment 792132 [details]
File: core_backtrace
Comment 4 Kovács György 2013-08-30 07:52:20 EDT
Created attachment 792133 [details]
File: dso_list
Comment 5 Kovács György 2013-08-30 07:52:23 EDT
Created attachment 792134 [details]
File: environ
Comment 6 Kovács György 2013-08-30 07:52:27 EDT
Created attachment 792135 [details]
File: limits
Comment 7 Kovács György 2013-08-30 07:52:30 EDT
Created attachment 792136 [details]
File: maps
Comment 8 Kovács György 2013-08-30 07:52:34 EDT
Created attachment 792137 [details]
File: open_fds
Comment 9 Kovács György 2013-08-30 07:52:37 EDT
Created attachment 792138 [details]
File: proc_pid_status
Comment 10 Kovács György 2013-08-30 07:52:40 EDT
Created attachment 792139 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2015-01-09 14:39:23 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 11:59:28 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.